package cn.estsh.i3plus.ext.mes.pcn.pojo.context;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * 生产过程上下文对象-装配件清单信息(非排序)
 */
@Data
public class MesProductionAssemblyNoSortContext extends MesProductionAssemblyContext implements Serializable {

    private static final long serialVersionUID = -6507517107073405709L;

    @ApiParam(value = "BOM明细ID")
    private String bomDetailId;

    @ApiParam(value = "是否可复用条码")
    private Integer isRepeat;

    @ApiParam(value = "是否忽略回车")
    private Integer isIgnoreEntry;

    @ApiParam(value = "工序用量")
    private Integer qty;

}
